Subject: Re: [PATCH] tcp: splice as many packets as possible at once

From: Evgeniy Polyakov <[email-masked]>
Date: Sat, 10 Jan 2009 01:42:58 +0300

On Fri, Jan 09, 2009 at 11:17:44PM +0100, Willy Tarreau ([email-masked]) wrote:
> However I'm OK for the !timeo before release_sock/lock_sock. I just
> don't know if we can put the rest of the if above or not. I don't
> know what changes we're supposed to collect by doing release_sock/
> lock_sock before the if().

Not to interrupt the discussion, but for the clarification, that
release_sock/lock_sock is used to process the backlog accumulated while
socket was locked. And while dropping additional pair before the final
release is ok, but moving this itself should be thought of twice.

-- 
	Evgeniy Polyakov